#ifndef XSURFACECOLLISIONTREE_H
#define XSURFACECOLLISIONTREE_H

#include "xasset.h"
#include "xsurfacecollisionleaf.h"
#include "xsurfacecollisionnode.h"

#include <QVector3D>

class XSurfaceCollisionTree : public XAsset
{
public:
    explicit XSurfaceCollisionTree();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    QVector3D mTrans;
    QVector3D mScale;
    quint32 mNodeCount;
    QVector<XSurfaceCollisionNode> mNodes;
    quint32 mLeafCount;
    QVector<XSurfaceCollisionLeaf> mLeafs;
};

#endif // XSURFACECOLLISIONTREE_H
